[arch-commits] Commit in libcdio/trunk (PKGBUILD libcdio.install)

Jan de Groot jgc at archlinux.org
Fri Apr 3 17:52:07 EDT 2009


    Date: Friday, April 3, 2009 @ 17:52:06
  Author: jgc
Revision: 33034

upgpkg: libcdio 0.81-1

Added:
  libcdio/trunk/libcdio.install
Modified:
  libcdio/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   27 ++++++++++++++-------------
 libcdio.install |   13 +++++++++++++
 2 files changed, 27 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 21:38:45 UTC (rev 33033)
+++ PKGBUILD	2009-04-03 21:52:06 UTC (rev 33034)
@@ -3,24 +3,25 @@
 # Contributor: damir <damir at archlinux.org>
 
 pkgname=libcdio
-pkgver=0.80
-pkgrel=3
+pkgver=0.81
+pkgrel=1
 pkgdesc="GNU Compact Disc Input and Control Library"
 arch=("i686" "x86_64")
-license=('GPL')
+license=('GPL3')
 url="http://www.gnu.org/software/libcdio/"
-depends=('gcc-libs>=4.3.0' 'libcddb' 'ncurses')
+depends=('gcc-libs>=4.3.3' 'libcddb' 'ncurses')
 options=('!libtool')
-source=(http://ftp.gnu.org/gnu/libcdio/$pkgname-$pkgver.tar.gz)
-md5sums=('6495add276ed11b7ac8a88092799ab4f')
+install=libcdio.install
+source=(http://ftp.gnu.org/gnu/libcdio/${pkgname}-${pkgver}.tar.gz)
+md5sums=('2ad1622b672ccf53a3444a0c55724d38')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --disable-vcd-info || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --disable-vcd-info --enable-cpp-progs || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
-  install -m644 libcdio_paranoia.pc libcdio_cdda.pc \
-    ${startdir}/pkg/usr/lib/pkgconfig/ || return 1
-  rm ${pkgdir}/usr/share/info/dir
+  make -j1 DESTDIR="${pkgdir}" install || return 1
+  #install -m644 libcdio_paranoia.pc libcdio_cdda.pc \
+  #  "${pkgdir}/usr/lib/pkgconfig/" || return 1
+  rm -f "${pkgdir}/usr/share/info/dir"
+  gzip ${pkgdir}/usr/share/info/*.info
 }
-

Added: libcdio.install
===================================================================
--- libcdio.install	                        (rev 0)
+++ libcdio.install	2009-04-03 21:52:06 UTC (rev 33034)
@@ -0,0 +1,13 @@
+info_dir=/usr/share/info
+
+post_install() {
+  install-info ${info_dir}/libcdio.info.gz ${info_dir}/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  install-info --delete ${info_dir}/libcdio.info.gz ${info_dir}/dir 2> /dev/null
+}



More information about the arch-commits mailing list